package solver

import (
	"encoding/csv"
	"io"
	"log"
	"os"
	"strconv"
	"time"
)

// TODO: Import at compile time, provide with the binary
func (solver *Solver) load_blocks() {

	defer solver.timeTrack(time.Now(), "Loaded blocks")
	log.Println("Loading blocks")

	var blocks []int

	file, err := os.Open("blocks.csv")
	if err != nil {
		panic(err)
	}
	defer file.Close()

	r := csv.NewReader(file)
	for {
		record, err := r.Read()
		if err == io.EOF {
			break
		}
		if err != nil {
			log.Fatal(err)
		}

		block, _ := strconv.Atoi(record[0])
		blocks = append(blocks, block)
	}
	solver.blocks = blocks

}
